curl --request GET \
--url https://api.bspk.com/api/extraction/v1/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"store_id": "Store-external_id-51",
"store_name": "Store-60",
"sales_associate_id": "SA_01",
"sales_associate_name": "FirstName-89 LastName-89",
"client_id": "EXTERNAL_ID_156",
"client_name": "FirstName-90 LastName-90",
"template_id": "2",
"template_name": "Test Template",
"slice_id": null,
"media": [],
"created_at": "2024-08-07T12:29:24.731Z"
}
]List Emails
List emails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Client id owned by the brand
Sales Associate id owned by the brand
Only show emails created after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show emails created within the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Page number of the results to fetch. Default: 1
Results per page (max 1000). Default: 100
Response
Successful response, returns array of emails
Unique identifier of the store where the email originated from (based on associate assignment)
Store name of where the email originated from (based on associate assignment)
Unique identifier of the associate that created the email
Full name of the associate who created the email
Unique identifier of the client that the email was sent to
Full name of the client that the email was sent to
Unique identifier of the template that was used for the email
Name of the template that was used for the email
Unique identifier of the Slice that was include in the email (if any)
Show child attributes
Show child attributes
Timestamp of when the email was created
